// Copyright 2007 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wResolveIAProcessorView:
//   The Non-local interactive resolve processor view.

#ifndef p4wResolveIAProcessorView_H
#define p4wResolveIAProcessorView_H


//
// Includes

#include "p4wRunView.h"
#include "p4wStrBuf.h"

//
// p4wResolveIAProcessorView class

class p4wResolveIAProcessorView : public p4wView {

public:
	//
	// Constructors and destructor.
				p4wResolveIAProcessorView(p4wRequest & Request);
	virtual			~p4wResolveIAProcessorView();

	// Control item render functions.

	virtual	void		Render();

	char *	GetErrorMsg() { return fErrMsg; };
	int		GetResolveType() { return fRC; };

private:
	char * ProcessPostData();

	char *fPost;
	char *fErrMsg;
	StrBuf fErrBuf;
	StrBuf md5in;
	p4wStrBuf editbuf;
	int fHasConflicts;

	StrBuf	fdwbFlag;
	int fForceOption;
	int fMarkOption;
	int fConflictsOK;
	int fRC;

	//
	// Our request class.
	
	p4wRequest &fRequest;
};

#endif // p4wResolveIAProcessorView_H
